<?php
     ob_start();
     session_start();
     include_once './util/dbconnect.php';

     if ( isset($_SESSION['user'])!="" ) {
      header("Location: /");
      exit;
     }
     
     $error = false;
     
     if( isset($_POST['btn-login']) ) { 
      
      $email = trim($_POST['email']);
      $email = strip_tags($email);
      $email = htmlspecialchars($email);
      
      $pass = trim($_POST['pass']);
      $pass = strip_tags($pass);
      $pass = htmlspecialchars($pass);
      
      if(empty($email)){
       $error = true;
       $emailError = "Lütfen eposta adresinizi giriniz";
      } else if ( !filter_var($email,FILTER_VALIDATE_EMAIL) ) {
       $error = true;
       $emailError = "Lütfen geçerli bir eposta adresi giriniz";
      }
      
      if(empty($pass)){
       $error = true;
       $passError = "Lütfen şifrenizi giriniz";
      }
      
      if (!$error) {
       $res=mysqli_query($conn,"SELECT userId, userName, userPass, isAdmin FROM approvedUsers WHERE userEmail='$email'");
       $row=mysqli_fetch_array($res);
       $count = mysqli_num_rows($res);
       
       if( $count == 1 && $row['userPass']==$pass ) {
        $_SESSION['user'] = $row['userId'];
        header("Location: /");
       } else {
        $errMSG = "Lütfen giriş bilgilerinizi kontrol ediniz";
       }
        
      }
      
     }
    ?>
    

    <!doctype html>
<html lang="tr">
  <head>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <title>Giriş</title>
    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    html,
    body {
    height: 100%;
    }

    body {
    display: flex;
    align-items: center;
    padding-top: 40px;
    padding-bottom: 40px;
    background-color: #f5f5f5;
    }

    .form-signin {
    width: 100%;
    max-width: 430px;
    padding: 15px;
    margin: auto;
    }

    .form-signin .checkbox {
    font-weight: 400;
    }

    .form-signin .form-floating:focus-within {
    z-index: 2;
    }

    .form-signin input[type="email"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    }

    .form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    }
    </style>
  </head>
  <body class="text-center">
    <div class="container">

     <div class="form-signin">
        <form method="POST" action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']); ?>">
        
         <div class="col-md-12">
            
             <div class="form-group">
                 <h2 class="">Giriş</h2>
                </div>
            
                
                <?php
       if ( isset($errMSG) ) {
        
        ?>
        <div class="form-group">
                 <div class="alert alert-danger">
        <?php echo $errMSG; ?>
                    </div>
                 </div>
                    <?php
       }
       ?>
                
                <div class="form-group">
                 <div class="input-group">
                 <input type="email" name="email" class="form-control" placeholder="E-Posta Adresi" value="<?php echo $email; ?>" maxlength="40" />
                    </div>
                    <span class="text-danger"><?php echo $emailError; ?></span>
                </div>
                
                <div class="form-group">
                 <div class="input-group">
                 <input type="password" name="pass" class="form-control" placeholder="Şifre" maxlength="15" />
                    </div>
                    <span class="text-danger"><?php echo $passError; ?></span>
                </div>
                
                <div class="form-group">
                 <button type="submit" class="btn btn-block btn-primary" name="btn-login">Giriş Yap</button>
                </div>
                
                <div class="form-group">
                 <a href="kayit.php">Kayıt Ol</a>
                </div>
            
            </div>
       
        </form>
        </div> 

    </div>

    </body>
    </html>

    
  </body>
</html>

    <?php ob_end_flush(); ?>